package sample;

import java.io.InputStream;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.Document;

import zero.assemble.flow.activity.handler.ActivityURIs;
import zero.core.connection.Connection;
import zero.core.connection.Connection.Response;
import zero.core.context.GlobalContext;

public class ExchangeRate {
	public void onExchangeRateActivity() throws Exception {
		//retrieve the data from the GlobalContext
		String from = GlobalContext.zget(ActivityURIs.EVENT_ATTRIBUTES + "#from");
		String to = GlobalContext.zget(ActivityURIs.EVENT_ATTRIBUTES + "#to");
		
		//executing the logic
		String url = "http://webservicex.com/CurrencyConvertor.asmx/ConversionRate?fromCurrency=" + from + "&ToCurrency=" + to;
		InputStream is = null;
		try {
			Response response = Connection.doGET(url);
			String status = response.getResponseStatus();
            if (!"200".equals(response.getResponseStatus())) {
            	String message = "Cannot get the currency exchange rate from " + from + " to " + to +" for unexpected HTTP status code " + status + " on " + url;
                throw new RuntimeException(message);
            }
            is = response.getResponseBodyInputStream();
			DocumentBuilder builder = DocumentBuilderFactory.newInstance().newDocumentBuilder();
			Document doc = builder.parse(is);			
			double rate = Double.valueOf(doc.getFirstChild().getTextContent());
			//put the output of the activity to the GlobalContext
			GlobalContext.zput(ActivityURIs.EVENT_RESULT, rate);
		} finally {
			if (is != null) {
				is.close();
			}
		}
	}	
}
