<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/2005/Atom" xmlns:aws="http://webservices.amazon.com/AWSECommerceService/2005-10-05" xmlns:opensearch="http://a9.com/-/spec/opensearch/1.1/">
	<xsl:template match="/">
		<feed>
			<title>
				<xsl:value-of select="aws:ItemSearchResponse/aws:Items/aws:Request/aws:ItemSearchRequest/aws:Title"/>
			</title>
			<opensearch:totalResults>
				<xsl:value-of select="aws:ItemSearchResponse/aws:Items/aws:TotalResults"/>
			</opensearch:totalResults>
			<xsl:apply-templates select="aws:ItemSearchResponse/aws:Items/aws:Item"/>
		</feed>
	</xsl:template>
	<xsl:template match="aws:ItemSearchResponse/aws:Items/aws:Item">
		<entry>
			<title>
					<xsl:value-of select="aws:ItemAttributes/aws:Title"/>
			</title>
			<aws:ASIN>
				<xsl:value-of select="aws:ASIN"/>
			</aws:ASIN>
			<link rel="alternate">
				<xsl:attribute name="href">
					<xsl:value-of select="aws:DetailPageURL"/>
				</xsl:attribute>
			</link>
			<author>
				<name>
					<xsl:value-of select="aws:ItemAttributes/aws:Author"/>
				</name>
			</author>
			<aws:lowestNewPrice>
				<xsl:value-of select="aws:OfferSummary/aws:LowestNewPrice/aws:FormattedPrice"/>
			</aws:lowestNewPrice>
			<aws:averageRating>
				<xsl:value-of select="aws:CustomerReviews/aws:AverageRating"/>
			</aws:averageRating>
		</entry>
	</xsl:template>
</xsl:stylesheet>